
Core - Feature # 36564

Status: Closed Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-04-25 Assigned To:
Updated: 2012-07-31 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Add a simple file backend for caching that favors speed over flexibility
Description

The tagging features of the file backend are powerful but come at a cost. Flushing caches by tag can be extremely costly when a lot
of entries and tags are used.

It would be useful to have a simpler file backend that doesn't support tagging but is faster instead.

Related issues:
related to TYPO3.Flow - Feature # 36563: Add a simple file backend for cachin... Resolved 2012-04-25
related to Core - Feature # 39430: Update cache framework to latest FLOW3 ver... Resolved 2014-04-17

Associated revisions
Revision 3778f5b4 - 2012-08-01 23:34 - Christian Kuhn

[!!!][FEATURE] Update cache framework to latest FLOW3 version

Update the caching framework to FLOW3 version 868e073b98

Main changes:

[!!!][FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases
(where with a lot of tags/entries flushing everything is faster than
flushing by tag).
If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend
Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.
The FileBackend was extended to support freezing.

Change-Id: Id4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430
Related: #36563
Related: #33562
Related: #32398
Related: #36564
Releases: 6.0
Reviewed-on: http://review.typo3.org/13390
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 551ba297 - 2012-08-08 16:07 - Christian Kuhn

[!!!][FEATURE] Update cache framework to latest FLOW3 version

Update the caching framework to FLOW3 version 868e073b98

Main changes:

[!!!][FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases
(where with a lot of tags/entries flushing everything is faster than
flushing by tag).
If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend
Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.
The FileBackend was extended to support freezing.

Change-Id: Id4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430
Related: #36563
Related: #33562
Related: #32398
Related: #36564
Releases: 6.0
Reviewed-on: http://review.typo3.org/13390
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 86db4fd7 - 2012-08-12 14:03 - Christian Kuhn

[!!!][FEATURE] Update cache framework to latest FLOW3 version
Update the caching framework to FLOW3 version 868e073b98

Main changes:

[!!!][FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases
(where with a lot of tags/entries flushing everything is faster than
flushing by tag).
If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend
Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.
The FileBackend was extended to support freezing.

Change-Id: Id4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430
Related: #36563
Related: #33562
Related: #32398
Related: #36564
Releases: 6.0
Reviewed-on: http://review.typo3.org/13390
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2012-07-01 21:16 - Christian Kuhn
- Project changed from Extbase MVC Framework to Core

Moved this issue to core (not extbase). A sync of the FLOW3 caching framework will be done before 6.0 final.

#2 - 2012-07-31 20:53 - Christian Kuhn
- Status changed from New to Closed
- TYPO3 Version set to 6.0

This will be solved with #39430
